package com.adventurer_engine.util.rcsjython;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.adventurer_engine.util.rcsjython.PythonFunction;
import com.adventurer_engine.util.rcsjython.datatype.DataType;
import com.adventurer_engine.util.rcsjython.functions.FunctionPrint;
import java.util.HashMap;

public class SimplePythonInterpreter {
  private static HashMap<String, PythonFunction> functions;
  
  private final HashMap<String, ? extends DataType> vars = new HashMap<String, DataType>();
  
  public static void main(String[] args) {
    com.adventurer_engine.util.rcsjython.SimplePythonInterpreter test = new com.adventurer_engine.util.rcsjython.SimplePythonInterpreter();
    Class<com.adventurer_engine.util.rcsjython.SimplePythonInterpreter> c = com.adventurer_engine.util.rcsjython.SimplePythonInterpreter.class;
  }
  
  public void init() {
    functions = new HashMap<String, PythonFunction>();
    functions.put("print", new FunctionPrint());
  }
  
  public void executeFunction(String funName, HashMap<String, Object> vars, String ret) {
    if (functions.containsKey(funName)) {
      Object fret = ((PythonFunction)functions.get(funName)).execute(vars);
      if (fret == null)
        return; 
      vars.put(ret, fret);
    } 
  }
}
